var path = require('path');
var root_path = path.resolve(__dirname);
var app_path = path.resolve(root_path, 'src');
var ExtractTextPlugin = require("extract-text-webpack-plugin");
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');

module.exports = {
    entry: './src/index.js',
    output: {
        filename: 'cordova.min.js',
        path: path.resolve(__dirname, 'dist')
    },
    module: {
        rules: [{
            test: require.resolve('jquery'),
            use: [{
                loader: 'expose-loader',
                options: 'jQuery'
            }, {
                loader: 'expose-loader',
                options: '$'
            }]
        }, {
            test: require.resolve('crypto-js'),
            use: [{
                loader: 'expose-loader',
                options: 'crypto-js'
            }]
        }, {
            test: /\.css$/,
            use: ExtractTextPlugin.extract({
                fallback: "style-loader",
                use: "css-loader"
            })
        }, {
            test: /\.exec\.js$/,
            use: ['script-loader']
        }, {
            test: /\.(jpg|png|gif|woff|svg)$/,
            use: "url-loader?limit=8000&name=img/[name].[hash:8].[ext]"
        }]
    },
    plugins: [
        new ExtractTextPlugin("cordova.min.css"),
        // new UglifyJSPlugin()
    ],
    resolve: {  }
};